Skip to content
DARK
PAWNS

A Multi-User DungeonEST. 1994

get script usage

Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.

GET
/admin/files/lua/usage
curl --request GET \
--url 'https://example.com/admin/files/lua/usage?path=example'

Find the rooms, mobs, and objects whose script_name runs this file

path
required
string

OK

Media typeapplication/json
Array<object> | null
object
kind
required
string
name
required
string
script_name
required
string
vnum
required
integer format: int64

Example generated

[
{
"kind": "example",
"name": "example",
"script_name": "example",
"vnum": 1
}
]

Error

Media typeapplication/problem+json
object
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}